Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFAMode

    java.lang.Object
      org.apache.fop.pdf.PDFAMode

    public final class PDFAMode

extends java.lang.Object

Enum class for PDF/A modes.

Field Summary
`static PDFAMode` | `DISABLED` PDF/A disabled
`static PDFAMode` | `PDFA_1A` PDF/A-1a enabled
`static PDFAMode` | `PDFA_1B` PDF/A-1b enabled

Method Summary
`java.lang.String` | `getName()`
`boolean` | `isPDFA1LevelA()` Indicates whether this mode obeys the restrictions established by PDF/A-1a.
`boolean` | `isPDFA1LevelB()` Indicates whether this mode obeys the restrictions established by PDF/A-1b.
`java.lang.String` | `toString()`
`static PDFAMode` | `valueOf(java.lang.String s)` Returns the mode enum object given a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISABLED

    public static final PDFAMode DISABLED

  PDF/A disabled

### PDFA_1A

    public static final PDFAMode PDFA_1A

  PDF/A-1a enabled

### PDFA_1B

    public static final PDFAMode PDFA_1B

  PDF/A-1b enabled

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### isPDFA1LevelA

    public boolean isPDFA1LevelA()

  Indicates whether this mode obeys the restrictions established by PDF/A-1a.

  Returns:
    true if this mode obeys the restrictions established by PDF/A-1a.

### isPDFA1LevelB

    public boolean isPDFA1LevelB()

  Indicates whether this mode obeys the restrictions established by PDF/A-1b.

  Returns:
    true if this mode obeys the restrictions established by PDF/A-1b.

### valueOf

    public static PDFAMode valueOf(java.lang.String s)

  Returns the mode enum object given a String.

  Parameters:
    `s` - the string
  Returns:
    the PDFAMode enum object (DISABLED will be returned if no match is found)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.